var Paraguay = function(){
    PartBase.call(this);
    this.setEdgeDetection();
    this.setBloom(4);

    this.texture1 = TDEMO.TEXTURES.getTextures().kalat_sininen;
    this.texture2 = TDEMO.TEXTURES.getTextures().paraguay_w;
    var material = new THREE.MeshBasicMaterial({map: this.texture1, side: THREE.BackSide});
    var geometry = new THREE.SphereGeometry(200, 32, 32);
    this.sphere1 = new THREE.Mesh(geometry, material);
    this.sphere1.rotation.x = -Math.PI/2;

    var sprite = new THREE.SpriteMaterial({map: this.texture2,});
    this.text = new THREE.Sprite(sprite);
    this.text.scale.set(256, 128, 1)

    this.scene.add(this.sphere1);
    this.scene.add(this.text);
};


Paraguay.prototype = PartBase.prototype.inheritance();

Paraguay.prototype.animate = function(elapsedTime, delta){
    PartBase.prototype.animate.call(this, elapsedTime, delta, true);
    var hb = TDEMO.SYNC.getHeartBeat();
    this.texture1.offset.y = hb;
    this.texture1.needsUpdate = true;
};
